package com.patzn.lims.excel.eto;

import com.patzn.lims.frame.enums.PlanStatusEnum;
import com.patzn.poibox.annotations.Column;

import java.util.Date;

/**
 * <p>
 * 年度计划子表 导出信息
 * </p>
 *
 * @author yuanchao
 * @since 2018-06-27
 */

public class LmsMonthPlanETO {

    @Column(name = "状态")
    private PlanStatusEnum status;

    @Column(name = "评定项目名称及参数")
    private String name;

    @Column(name = "频次")
    private Integer frequency;

    @Column(name = "开始日期")
    private Date beginDate;

    @Column(name = "完成日期")
    private Date endDate;

    @Column(name = "责任单位")
    private String dutyUnit;

    @Column(name = "责任人")
    private String dutyMan;

    @Column(name = "登记人员")
    private String uname;

    @Column(name = "备注")
    private String remark;

    @Column(name = "登记日期")
    private Date ctime;

    public PlanStatusEnum getStatus() {
        return status;
    }

    public void setStatus(PlanStatusEnum status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getDutyUnit() {
        return dutyUnit;
    }

    public void setDutyUnit(String dutyUnit) {
        this.dutyUnit = dutyUnit;
    }

    public String getDutyMan() {
        return dutyMan;
    }

    public void setDutyMan(String dutyMan) {
        this.dutyMan = dutyMan;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCtime() {
        return ctime;
    }

    public void setCtime(Date ctime) {
        this.ctime = ctime;
    }
}
